# Copyright (c) 2017, SolutionERP LLC and contributors
# For license information, please see license.txt


import xhiveframework
from xhiveframework import _
from xhiveframework.model.document import Document


class ProjectType(Document):
	def on_trash(self):
		if self.name == "External":
			xhiveframework.throw(_("You cannot delete Project Type 'External'"))
